AppID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.application
Class AppID

    java.lang.Object
      org.dvb.application.AppID

    public class AppID

extends Object

The `AppID` is a representation of the unique identifier for applications.

Its string form is the Hex representation of the 48 bit number.

Constructor Summary
`AppID(int oid, int aid)` Create a new AppID based on the given integers.

Method Summary
`boolean` | `equals(Object obj)` Compares two AppIDs for equality.
`int` | `getAID()` This method returns the integer value of the application count supplied in the constructor
`int` | `getOID()` This method returns the integer value of the organization number supplied in the constructor.
`int` | `hashCode()` Returns a hash code value for this AppID.
`String` | `toString()` This method returns a string containing the Hex representation of the 48 bit number.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppID

    public AppID(int oid,
                 int aid)

  Create a new AppID based on the given integers. There is no range checking on these numbers.

  Parameters:
    `oid` - the globally unique organization number.
    `aid` - the unique count within the organization.
  Since:
    MHP1.0

Method Detail

### getOID

    public int getOID()

  This method returns the integer value of the organization number supplied in the constructor.

  Returns:
    the integer value of the organization number supplied in the constructor.
  Since:
    MHP1.0

### getAID

    public int getAID()

  This method returns the integer value of the application count supplied in the constructor

  Returns:
    the integer value of the application count supplied in the constructor
  Since:
    MHP1.0

### toString

    public String toString()

  This method returns a string containing the Hex representation of the 48 bit number. The string shall be formatted as specified in the clause on "Text encoding of application identifiers" in the System Integration clause of the MHP specification.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string containing the Hex representation of the 48 bit number.
  Since:
    MHP1.0

### equals

    public boolean equals(Object obj)

  Compares two AppIDs for equality.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this obj is an AppID and its Organisation ID and its Application ID match the IDs for this AppID; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Returns a hash code value for this AppID. The hashcode for two AppIDs with the same Organisation ID and Application ID are equal.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this AppID
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD